/* 
*
*  ProLinga-Calc
*
*  Copyright (C) 2002-2008 Xobas Software
*  All rights reserved.
*  
*  This file is part of ProLinga-Calc.
*
*  ProLinga-Calc is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Calc is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Calc.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*/

#ifndef __CALC_COMMON_H
#define __CALC_COMMON_H 1

#if HAVE_CONFIG_H
#	include "config.h"
#endif

#ifndef HAVE_BOOL
#	define HAVE_BOOL 1
	enum boolvals { false, true };
	typedef enum boolvals bool;
#endif

#include <stdio.h>

#if HAVE_SYS_TYPES_H
#	include <sys/types.h>
#endif

#if HAVE_MATH_H
#	include <math.h>
#endif

#if HAVE_CTYPE_H
#	include <ctype.h>
#endif

#if STDC_HEADERS
#	include <string.h>
#elif HAVE_STRINGS_H
#	include <strings.h>
#endif /* STDS_HEADERS */

#endif /* __CALC_COMMON_H */

